com.sun.mail.imap

## Class IMAPMultipartDataSource

- java.lang.Object
- - javax.mail.internet.MimePartDataSource
  - - com.sun.mail.imap.IMAPMultipartDataSource

- All Implemented Interfaces:
    DataSource, MessageAware, MultipartDataSource

      public class IMAPMultipartDataSource
      extends MimePartDataSource
      implements MultipartDataSource

  This class
  Author:
    John Mani

- - ### Field Summary

    - ### Fields inherited from class javax.mail.internet.MimePartDataSource

      `part`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IMAPMultipartDataSource(MimePart part, BODYSTRUCTURE[] bs, String sectionId, IMAPMessage msg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyPart` | `getBodyPart(int index)` Get the specified Part.
    `int` | `getCount()` Return the number of enclosed BodyPart objects.

    - ### Methods inherited from class javax.mail.internet.MimePartDataSource

      `getContentType, getInputStream, getMessageContext, getName, getOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.activation.DataSource

      `getContentType, getInputStream, getName, getOutputStream`

- - ### Constructor Detail

    - #### IMAPMultipartDataSource

          protected IMAPMultipartDataSource(MimePart part,
                                 BODYSTRUCTURE[] bs,
                                 String sectionId,
                                 IMAPMessage msg)

  - ### Method Detail

    - #### getCount

          public int getCount()

      Description copied from interface: `MultipartDataSource`
      Return the number of enclosed BodyPart objects.
      Specified by:
        `getCount` in interface `MultipartDataSource`
      Returns:
        number of parts

    - #### getBodyPart

          public BodyPart getBodyPart(int index)
                               throws MessagingException

      Description copied from interface: `MultipartDataSource`
      Get the specified Part. Parts are numbered starting at 0.
      Specified by:
        `getBodyPart` in interface `MultipartDataSource`
      Parameters:
        `index` - the index of the desired Part
      Returns:
        the Part
      Throws:
        `MessagingException` - for other failures

Copyright © 2016 Oracle. All rights reserved.